<xsl:stylesheet version="2.0" 
	xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Set output style. XML with no indentations -->
	<xsl:output method="text" indent="no" omit-xml-declaration="yes"/>

<!-- Set global variables. This reads the path variable sent from Flare that creates an absolute path. --> 
	<xsl:variable name="rawPath"><xsl:value-of select="unparsed-text('..\path.txt','UTF-8')"/></xsl:variable>
	<xsl:variable name="stringLength"><xsl:value-of select="string-length($rawPath)"/></xsl:variable>
	<xsl:variable name="outputPath"><xsl:value-of select="substring($rawPath,1,$stringLength - 3)"/></xsl:variable>

<!-- Set global variables. This reads the projPath variable sent from Flare that creates an absolute path. --> 
	<xsl:variable name="rawPathProj"><xsl:value-of select="unparsed-text('..\projPath.txt','UTF-8')"/></xsl:variable>
	<xsl:variable name="stringLengthProj"><xsl:value-of select="string-length($rawPathProj)"/></xsl:variable>
	<xsl:variable name="projPath"><xsl:value-of select="substring($rawPathProj,1,$stringLengthProj - 3)"/></xsl:variable>

<!-- Set global variables. This reads the targetName variable sent from Flare that creates an absolute path. --> 
	<xsl:variable name="rawTargetName"><xsl:value-of select="unparsed-text('..\targetName.txt','UTF-8')"/></xsl:variable>
	<xsl:variable name="stringLengthTarg"><xsl:value-of select="string-length($rawTargetName)"/></xsl:variable>
	<xsl:variable name="targetName"><xsl:value-of select="substring($rawTargetName,1,$stringLengthTarg - 3)"/>.fltar</xsl:variable>

	<xsl:variable name="TOCPath"><xsl:value-of select="$projPath"/>Project\Targets\<xsl:value-of select="$targetName"/></xsl:variable>
	<xsl:variable name="TOCMasterDoc" select="translate(document($TOCPath)/CatapultTarget/@MasterToc,'/','\')"/>
	<xsl:variable name="TOCMasterDocPath"><xsl:value-of select="$projPath"/><xsl:value-of select="substring-after($TOCMasterDoc,'\')"/></xsl:variable>



</xsl:stylesheet>